//Random Walker
//This example demonstrates a random walk system which exhibits elements of emergence

var x, y; //variables for x and y coordinates
var w = 10; //width of random walker
function setup(){
    createCanvas(500,500);
    x = width / 2; //start from middle
    y = height / 2; //start from middle
    noStroke();
    background(0,255,0);
}
function draw(){
    var ran = random(); //get random number between 0 and 1
    //use an else-if-statement to have 25% chance for moving to each direction
    //if number is between 0-0.25 move right
    if(ran < 0.25) x+=w;
    //if number is between 0.25-0.5 move left
    else if(ran < 0.5) x-=w;
    //if number is between 0.5-0.75 move down
    else if(ran < 0.75) y+=w;
    //if number is between 0.75-1 move up
    else y-=w;
    
    fill(0);
    //draw the walker with new coordinates
    ellipse(x,y,w);
    
}
